Subject: [GSoC][PATCH/RFC v3 0/3] Fix commit messages, check if socket is socket

From: Devin Lehmacher <[email-masked]>
Date: Mon, 13 Mar 2017 20:32:43 -0400

I fixed all of the commit messages and the weird indentation.
I also now check that the socket is actually a socket.

What do you think of the function is_socket? Is it general enough to be put
in dir.h or unix_socket.h for use in other files? Or should it be left as is?

- Devin